/**
 * @file RTSPRequest.h
 *
 */

#pragma once

#include <Raym/Raym.h>

#include "net/HTTPRequest.h"
#include "net/InternetTextMessage.h"

namespace NET
{

class RTSPRequest : public HTTPRequest
{
private:

protected:
    RTSPRequest();
    ~RTSPRequest();

public:
    static RTSPRequest *requestWithSocket(SOCKET sock);

    virtual const char *className();
};

} // NET
